Package org.eclipse.jgit.api.errors

## Class ConcurrentRefUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.ConcurrentRefUpdateException

All Implemented Interfaces:
  `Serializable`

    public class ConcurrentRefUpdateException
    extends GitAPIException

Exception thrown when a command wants to update a ref but failed because another process is accessing (or even also updating) the ref.

See Also:
  `RefUpdate.Result.LOCK_FAILURE`, Serialized Form

### Constructor Summary

Constructors
`ConcurrentRefUpdateException​(String message, Ref ref, RefUpdate.Result rc)`
`ConcurrentRefUpdateException​(String message, Ref ref, RefUpdate.Result rc, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Ref` `getRef()`
`RefUpdate.Result` `getResult()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrentRefUpdateException

    public ConcurrentRefUpdateException​(String message,
                                        Ref ref,
                                        RefUpdate.Result rc,
                                        Throwable cause)

Parameters:
  `message` -
  `ref` -
  `rc` -
  `cause` -

#### ConcurrentRefUpdateException

    public ConcurrentRefUpdateException​(String message,
                                        Ref ref,
                                        RefUpdate.Result rc)

Parameters:
  `message` -
  `ref` -
  `rc` -

### Method Detail

#### getRef

    public Ref getRef()

Returns:
  the `Ref` which was tried to by updated

#### getResult

    public RefUpdate.Result getResult()

Returns:
  the result which was returned by `RefUpdate.update()` and which caused this error